<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="fabricante">
        <h2 class="jh-entity-heading" data-cy="fabricanteDetailsHeading">
          <span v-text="$t('gatewayApp.biologicoFabricante.detail.title')">Fabricante</span> {{ fabricante.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.biologicoFabricante.nombreFabricante')">Nombre Fabricante</span>
          </dt>
          <dd>
            <span>{{ fabricante.nombreFabricante }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoFabricante.productosFabricanet')">Productos Fabricanet</span>
          </dt>
          <dd>
            <span>{{ fabricante.productosFabricanet }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.biologicoFabricante.detalleFabricante')">Detalle Fabricante</span>
          </dt>
          <dd>
            <span>{{ fabricante.detalleFabricante }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="fabricante.id"
          :to="{ name: 'FabricanteEdit', params: { fabricanteId: fabricante.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./fabricante-details.component.ts"></script>
